From 1b26e9e357eda4609913882f0ef7ede05c8a9561 Mon Sep 17 00:00:00 2001
From: Shveta Malik <shveta.malik@gmail.com>
Date: Mon, 19 Feb 2024 10:25:48 +0530
Subject: [PATCH v1] Reword LOG msg for slot-sync

This patch improves the LOG message added by commit 7a424ece48.
---
 src/backend/replication/logical/slotsync.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/src/backend/replication/logical/slotsync.c b/src/backend/replication/logical/slotsync.c
index 4cab7b7101..3a35cc8a30 100644
--- a/src/backend/replication/logical/slotsync.c
+++ b/src/backend/replication/logical/slotsync.c
@@ -368,14 +368,13 @@ update_and_persist_local_synced_slot(RemoteSlot *remote_slot, Oid remote_dbid)
 		 * XXX should this be changed to elog(DEBUG1) perhaps?
 		 */
 		ereport(LOG,
-				errmsg("could not sync slot information as remote slot precedes local slot:"
-					   " remote slot \"%s\": LSN (%X/%X), catalog xmin (%u) local slot: LSN (%X/%X), catalog xmin (%u)",
-					   remote_slot->name,
-					   LSN_FORMAT_ARGS(remote_slot->restart_lsn),
-					   remote_slot->catalog_xmin,
+				errmsg("could not synchronize local slot \"%s\" values (LSN:%X/%X, catalog_xmin:%u)"
+					   " to remote slot's values (LSN:%X/%X, catalog_xmin:%u) as synchronization"
+					   " would move it backwards", remote_slot->name,
 					   LSN_FORMAT_ARGS(slot->data.restart_lsn),
-					   slot->data.catalog_xmin));
-
+					   slot->data.catalog_xmin,
+					   LSN_FORMAT_ARGS(remote_slot->restart_lsn),
+					   remote_slot->catalog_xmin));
 		return;
 	}
 
-- 
2.34.1

